-- Table `PARTITION_EVENTS` for classes [org.apache.hadoop.hive.metastore.model.MPartitionEvent]
SELECT '< HIVE-2215 Add api for marking  querying set of partitions for events >' AS ' ';

DELIMITER $$

DROP PROCEDURE IF EXISTS MIGRATE_PARTITION_EVENTS $$

CREATE PROCEDURE MIGRATE_PARTITION_EVENTS()
  BEGIN
    DECLARE EXIT HANDLER FOR SQLEXCEPTION SET @LOG_MESSAGE := CONCAT(@LOG_MESSAGE, ' Error executing procedure MIGRATE_PARTITION_EVENTS()');

    IF NOT EXISTS( (SELECT * FROM information_schema.tables
    WHERE TABLE_SCHEMA = DATABASE() AND
          TABLE_NAME   = 'PARTITION_EVENTS' ) ) THEN

      CREATE TABLE IF NOT EXISTS `PARTITION_EVENTS`
      (
        `PART_NAME_ID` BIGINT NOT NULL,
        `DB_NAME` VARCHAR(128) BINARY NULL,
        `EVENT_TIME` BIGINT NOT NULL,
        `EVENT_TYPE` INTEGER NOT NULL,
        `PARTITION_NAME` VARCHAR(767) BINARY NULL,
        `TBL_NAME` VARCHAR(128) BINARY NULL,
        PRIMARY KEY (`PART_NAME_ID`)
      ) ENGINE=INNODB DEFAULT CHARSET=latin1;

      -- Constraints for table `PARTITION_EVENTS` for class(es) [org.apache.hadoop.hive.metastore.model.MPartitionEvent]
       CREATE INDEX `PARTITIONEVENTINDEX` ON `PARTITION_EVENTS` (`PARTITION_NAME`);
    END IF;
  END $$

DELIMITER ;

CALL MIGRATE_PARTITION_EVENTS();


